import os

input_dir = "input_files"
output_dir = "output_files"

if not os.path.exists(output_dir):
    os.makedirs(output_dir)

for filename in os.listdir(input_dir):
    if filename.endswith(".txt"):
        input_file = os.path.join(input_dir, filename)
        output_file = os.path.join(output_dir, filename.split(".")[0] + "_sorted.txt")
        with open(input_file, "r") as f:
            data = f.readlines()
        output = []
        for row in data:
            row = row.strip().split()
            sup_percent = row[-1]
            row = row[:-1]
            output_row = " ".join([sup_percent] + row[::-1])
            output.append(output_row)
        with open(output_file, "w") as f:
            for row in output:
                f.write(row + "\n")

